		<?php $newsletter = get_field('newsletter', 'options'); if ($newsletter && !is_404()): ?>
		<section class="subscribe">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="content text-center">
							<div class="section-title">
								<?php if ($newsletter['title']): ?>
								<h2 class="title text-uppercase"><?php echo $newsletter['title']; ?></h2>
								<?php endif; ?>

								<?php if ($newsletter['description']): ?>
								<?php echo $newsletter['description']; ?>
								<?php endif; ?>

								<?php if ($newsletter['button']): ?>
								<a href="<?php echo $newsletter['button']['url']; ?>" class="btn btn-black text-uppercase" target="_blank"><?php echo $newsletter['button']['text']; ?></a>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<?php endif; ?>

		<footer class="footer">
			<div class="footer-top">
				<div class="container">
					<div class="row eq-height">
						<?php 
						$footer_logo = get_field('footer_logo', 'options');
						$social_media = get_field('social_media', 'options');
						$footer_description = get_field('footer_description', 'options');

						if ($footer_logo || $footer_description || $social_media): ?>
						<div class="col-md-4 col-sm-6 col-xs-6 col">
							<div class="widget widget_about">
								<?php if ($footer_logo): ?>
								<div class="footer-logo">
									<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo $footer_logo['url']; ?>" class="img-responsive" alt="<?php echo $footer_logo['alt']; ?>"></a>
								</div>
								<?php endif; ?>

								<?php if ($footer_description): ?>
									<?php echo $footer_description; ?>
								<?php endif; ?>

								<?php if ($social_media): ?>
								<ul class="social-media">
									<?php foreach ($social_media as $social): ?>
									<li><a href="<?php echo $social['url']; ?>" class="<?php echo $social['icon']['value']; ?>" target="_blank"></a></li>
									<?php endforeach; ?>
								</ul>
								<?php endif ?>
							</div>
						</div><!-- /widget -->
						<?php endif; ?>

						<?php $contacts = get_field('contacts', 'options'); if ($contacts): ?>
						<div class="col-md-3 col-sm-6 col-xs-6 col">
							<div class="widget widget_address">
								<h4 class="widget-title"><?php _e('Address', 'ecom'); ?></h4>

								<ul class="list-unstyled">

									<?php if ($contacts['address'] || $contacts['google_map_url']): ?>
									<li class="address">
										<div class="icon pull-left">
											<i class="icon-location"></i>
										</div>

										<div class="content">
											<a href="<?php echo $contacts['google_map_url']; ?>" target="_blank"><?php echo $contacts['address']; ?></a>
										</div>
									</li>
									<?php endif; ?>

									<?php if ($contacts['phone']): ?>
									<li class="phone">
										<div class="icon pull-left">
											<i class="icon-phone"></i>
										</div>

										<div class="content">
											<label for="phone"><?php _e('Tel: ') ?><a href="tel:<?php echo $contacts['phone']; ?>"><?php echo $contacts['phone']; ?></a></label>
										</div>
									</li>
									<?php endif; ?>

									<?php if ($contacts['email']): ?>
									<li class="email">
										<div class="icon pull-left">
											<i class="icon-email-mail-streamline"></i>
										</div>

										<div class="content">
											<a href="mailto:<?php echo $contacts['email']; ?>"><?php echo $contacts['email']; ?></a>
										</div>
									</li>
									<?php endif; ?>
								</ul>
							</div>
						</div><!-- /widget -->
						<?php endif; ?>

						<?php 
						$collection_title = get_field('collection_title', 'options');
						$collections = get_field('collections', 'options');
						if ($collection_title || $collections): ?>
						<div class="col-md-3 col-sm-6 col-xs-6 col">
							<div class="widget">
								<?php if ($collection_title): ?>
								<h4 class="widget-title"><?php echo $collection_title; ?></h4>
								<?php else: ?>
								<h4 class="widget-title"><?php _e('Collection', 'ecom'); ?></h4>
								<?php endif; ?>

									
								<?php if ($collections): ?>
								<ul class="list-unstyled">
									<?php foreach ($collections as $collection): ?>
									<li><a href="<?php echo $collection['link']; ?>"><?php echo $collection['title']; ?></a></li>
									<?php endforeach; ?>
								</ul>
								<?php endif; ?>
							</div>
						</div><!-- /widget -->
						<?php endif; ?>

						<div class="col-md-2 col-sm-6 col-xs-6 col">
							<div class="widget">
								<h4 class="widget-title"><?php _e('Shop', 'ecom'); ?></h4>

								<?php 
							  		wp_nav_menu( array(
			                            'menu'               => 'Footer menu',
			                            'theme_location'     => 'menu-2',
			                            'depth'              => 2,
			                            'container'          => 'false',
			                            'menu_class'         => 'list-unstyled',
			                            'menu_id'            => '',
			                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
			                            'walker'             => new wp_bootstrap_navwalker(),
			                        ));
			                    ?>
							</div>
						</div><!-- /widget -->
					</div>
				</div>
			</div><!-- /footer-top -->

			<div class="footer-bottom">
				<div class="container">
					<div class="row align-center-v justify-content-center">
						<?php $copyright = get_field('copyright', 'options'); $copyright = $copyright ? $copyright : 'eCommerce Business Theme. <span>All Rights Reserved</span>'; ?>
						<div class="col-md-6 col-sm-6 col-xs-12">
							<div class="copyright">
								<p>&copy; <?=date('Y')?> <?php echo $copyright; ?></p>
							</div><!-- /copyright -->
						</div>

						<?php $methods = get_field('payment_methods', 'options'); if ($methods): ?>
						<div class="col-md-6 col-sm-6 col-xs-12">
							<ul class="payment_methods list-inline text-right">
								<?php foreach ($methods as $method): ?>
								<li><img src="<?php echo $method['icon']['url']; ?>" class="img-responsive" alt="<?php echo $method['icon']['alt']; ?>"></li>
								<?php endforeach; ?>
							</ul><!-- /payment_methods -->
						</div>
						<?php endif; ?>
					</div>
				</div>			
			</div>
		</footer>
		<?php wp_footer(); ?>
	</body>
</html>