<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title><?php if(is_front_page()){ echo' Home '; echo' | '; echo bloginfo('name'); } else { wp_title(''); echo' | '; bloginfo('name');  } ?></title>
		<?php if (get_field('favicon', 'options')): ?>
		<link rel="icon" type="image/png" href="<?php the_field('favicon', 'options'); ?>" sizes="32x32">
		<?php else: ?>
		<link rel="icon" type="image/png" href="<?= get_template_directory_uri(); ?>/images/icon/favicon-16x16.png" sizes="16x16">
		<link rel="icon" type="image/png" href="<?= get_template_directory_uri(); ?>/images/icon/favicon-32x32.png" sizes="32x32">
		<link rel="icon" sizes="192x192" href="<?= get_template_directory_uri(); ?>/images/icon/touch-icon-192x192.png">
		<?php endif; ?>
		<link rel="apple-touch-icon-precomposed" sizes="180x180" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-180x180-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="152x152" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-152x152-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-144x144-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="120x120" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-120x120-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-114x114-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="76x76" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-76x76-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-72x72-precomposed.png">
		<link rel="apple-touch-icon-precomposed" href="<?= get_template_directory_uri(); ?>/images/icon/apple-touch-icon-precomposed.png">
		<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<header class="header">
			<div class="top-bar">
      			<div class="container">
      				<div class="row">
      					<div class="col-md-6 col-sm-6 col-xs-7">
      						<ul class="top-bar-nav list-inline">
      							<?php if (is_user_logged_in()): ?>
	                            <li><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><?php esc_html_e('My Account', 'ecom') ?></a></li>
	                            <li><a href="<?php echo wp_logout_url( get_permalink() ); ?>"><?php esc_html_e('Log out', 'ecom') ?></a></li>
	                        	<?php else: ?>
	                            <li><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><?php _e('Log in', 'ecom'); ?></a></li>
	                            <li><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><?php _e('Register', 'ecom'); ?></a></li>
	                        	<?php endif; ?>
      						</ul>
      					</div>

      					<div class="col-md-6 col-sm-6 col-xs-5">
      						<ul class="top-bar-right list-inline text-right">
	      						<li class="lang">
	      							<div class="select-wrap">
		      							<select name="language" id="language">
											<option value="EN">Eng</option>
											<option value="FR">Fr</option>
											<option value="FR">Fr</option>
		      							</select>
	      							</div>
	      						</li>
	      						<li class="currency">
	      							<div class="select-wrap">
	      								<select name="currency" id="currency">
											<option value="USD" selected="selected">USD</option>
											<option value="EUR">Eur</option>
										</select>
	      							</div>
	      						</li>
	      					</ul>
      					</div>
      				</div>
      			</div>
      		</div><!-- /top-bar -->

      		<div class="navbar navbar-default">
			  	<div class="container">
					<div class="navbar-header">
						<div class="logo">
							<?php $logo = get_field('logo', 'options'); $logoSrc = $logo ? $logo['url'] : get_template_directory_uri().'/images/logo.png' ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-brand"><img src="<?php echo $logoSrc; ?>" class="img-responsive" alt="<?php echo $logo['alt']; ?>"></a>
						</div>

					  	<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						  	<span class="icon-bar"><span class="inner"></span></span>
						  	<span class="icon-bar"><span class="inner"></span></span>
						  	<span class="icon-bar"><span class="inner"></span></span>
					  	</button>
					</div>
			
					<div class="collapse navbar-collapse">
					  	<?php 
					  		wp_nav_menu( array(
	                            'menu'               => 'Primary menu',
	                            'theme_location'     => 'menu-1',
	                            'depth'              => 2,
	                            'container'          => 'false',
	                            'menu_class'         => 'nav navbar-nav',
	                            'menu_id'            => '',
	                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                            'walker'             => new wp_bootstrap_navwalker(),
	                        ));
	                    ?>

					  	<ul class="nav navbar-nav navbar-right hidden-sm hidden-xs">        
					    	<li class="search-bar">
      							<a class="search-icon icon-search-1"></a>

      							<div class="search-box">
						            <?php echo do_shortcode('[wcas-search-form]'); ?>
						        </div>
					    	</li>
                            <li class="shopping_cart">
  								<a class="ajaxify_cart" href="<?php echo wc_get_cart_url(); ?>" title="<?php _e( 'View your shopping cart' ); ?>">
  									<div class="mini_cart">
  										<i class="icon-cart"></i>
  										<span class="cart_quantity"><?php echo sprintf ( _n( '%d', '%d', WC()->cart->get_cart_contents_count() ), WC()->cart->get_cart_contents_count() ); ?></span>
  									</div>
  								</a>
  								<div class="header_shopping_cart_content"></div>
                            </li>
					  	</ul>
					</div><!-- /collapse -->
			  	</div><!-- /container-fluid -->
			</div><!--/ Navbar -->
		</header><!-- /header -->
		<div class="header_gutter"></div>

		<?php 
		$header_banner = get_field('header_banner', 'options'); 
		$banner = $header_banner ? $header_banner : get_template_directory_uri().'/images/page-banner.jpg'; 
		if (!is_front_page() && !is_404()): ?>
		<div class="entry-header align-center-v" style="background-image: url(<?php echo $banner; ?>)">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php woocommerce_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</div><!-- /entry-header -->
		<?php endif; ?>