(function ($) {
	"use strict";

	/*** Sticky header */
	$(window).scroll(function(){
		if($("body").scrollTop() > 0 || $("html").scrollTop() > 0) {
			$(".header").addClass("stop");
		} else {
			$(".header").removeClass("stop");
		}
	});

	$(".navbar-toggle").click(function() {
		$(this).toggleClass('in');
		$("input[type='search']").focus();
	});

	/*** Header height = gutter height */
	function setGutterHeight(){
		var header = document.querySelector('.header'),
			  gutter = document.querySelector('.header_gutter');
		if (gutter) {
			gutter.style.height = header.offsetHeight + 'px';
		}
	}
	window.onload = setGutterHeight;
	window.onresize = setGutterHeight;

	$(".search-bar .search-icon").click(function() {
       	$(".search-box").toggle();
      	$("input[type='text']").focus();
    });

	/*** Enable Masonry */
	var $grid = $('.masonry').masonry({
	 	itemSelector: '.box-item',
	 	columnWidth: '.box-item',
	 	percentPosition: true,
	});
	
	// layout Masonry after each image loads
	$grid.imagesLoaded().progress( function() {
	  	$grid.masonry('layout');
	});

	$('.banner').slick({
		dots: false,
		arrows: true,
		infinite: true,
		autoplay: false,
		slidesToShow: 1,
		slidesToScroll: 1,
		responsive:
		[
			{
			breakpoint: 767,
				settings: {
					arrows: false
				}
			},
			{
			breakpoint: 576,
				settings: {
					arrows: false
				}
			}
		]
	});

	$('.testimonial-slider').slick({
		dots: true,
		arrows: false,
		infinite: true,
		autoplay: true,
		slidesToShow: 2,
		slidesToScroll: 2,
		responsive: 
		[
			{
			breakpoint: 768,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1,
				}
			},
			{
			breakpoint: 576,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1,
				}
			}
		]
	});

	/** Shop page widget Categories after arrow */
	var arrow = $( '<span class="arrow_right icon-arrow-right"></span>' );
	$( ".product-categories li.cat-parent > a" ).after(arrow);

	$( ".product-categories li.cat-parent .arrow_right" ).click(function() {
	  $(this).toggleClass( 'icon-arrow-right icon-arrow-down').next().toggle();
	});

	/** Header Mini cart hover ajaxfy */
	$('.shopping_cart').hover(function(){
		var data = {
	   		'action': 'mode_theme_update_mini_cart'
		};
		$.post(
		   	woocommerce_params.ajax_url, // The AJAX URL
		   	data, // Send our PHP function
		   	function(response){
		     	$('.header_shopping_cart_content').html(response); // Repopulate the specific element with the new content
		   	}
		);
	});

  	$('.woocommerce .quantity').on('click', '.qty-minus', function (e) {
  		console.log('minus')
        var $inputQty = $(this).parent().find('input.qty');
        var val = parseInt($inputQty.val());
        var step = $inputQty.attr('step');
        step = 'undefined' !== typeof(step) ? parseInt(step) : 1;
        if (val > 0) {
            $inputQty.val(val - step).change();
        }
    });

    $('.woocommerce .quantity').on('click', '.qty-plus', function (e) {
    	  		console.log('minus')
        var $inputQty = $(this).parent().find('input.qty');
        var val = parseInt($inputQty.val());
        var step = $inputQty.attr('step');
        step = 'undefined' !== typeof(step) ? parseInt(step) : 1;
        $inputQty.val(val + step).change();
    });



	/*** Google map */

	var mapElement = document.getElementById("gmap");
	if( mapElement) {
		var map;
		google.maps.event.addDomListener(window, 'load', init);
	}
	
	function init() {

		var google_map_setting = {
			latitude: ajax.gmap_latitude,
			longitude: ajax.gmap_longitude
		};
		
		if (ajax.map_icon) {
			var image = ajax.map_icon;
		}
		
	    var mapOptions = {
	        zoom: 17,
	        disableDefaultUI: true,
	        draggable: true,
	        scrollwheel: false,
	        center: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude),
	    };

		var contentString = ajax.gmap_address;
		var infowindow = new google.maps.InfoWindow({
			content: contentString,
			maxWidth: 200
		});

	    var map = new google.maps.Map(mapElement, mapOptions);

	    var marker = new google.maps.Marker({
	        position: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude),
	        map: map,
	        icon: image,
	    });

	    google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map, marker);
		});

		var center = map.getCenter();
		google.maps.event.addDomListener(window, 'resize', function() {
		    map.setCenter(center);
		});
	}

}(jQuery));