<?php
/*
Template Name: About
*/
get_header(); ?>

	<div id="primary" class="content-area">

		<section class="page-content about">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title">
							<?php $title = get_field('about_title'); if ($title): ?>
							<h2 class="title text-uppercase"><?php echo $title; ?></h2>
							<?php else: ?>
							<h2 class="title text-uppercase"><?php the_title(); ?></h2>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<?php 
				$about_image = get_field('about_image');
				$about_us_title = get_field('about_us_title');
				$about_content = get_field('about_content');
				$about_us = get_field('about_us');

				if($about_image || $about_us_title || $about_content || $about_us): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="content white">
							<?php if ($about_image): ?>
							<div class="col-md-4 col-sm-12 col-xs-12">
								<div class="media">
									<img src="<?php echo $about_image['url']; ?>" class="img-responsive" alt="<?php echo $about_image['alt']; ?>">
								</div>
							</div>
							<?php endif; ?>

							<?php if ($about_us_title || $about_content): ?>
							<div class="col-md-8 col-sm-12 col-xs-12">
								<div class="right-content">
									<?php if ($about_us_title): ?>
									<h1 class="text-uppercase"><?php echo $about_us_title; ?></h1>
									<?php endif; ?>

									<?php if ($about_content): ?>
									<?php echo $about_content; ?>
									<?php endif; ?>
								</div>
							</div>
							<?php endif; ?>

							<div class="col-md-12 col-sm-12 col-xs-12">
							<?php foreach($about_us as $about): ?>

								<?php if ($about['title']): ?>
								<h4><?php echo $about['title']; ?></h4>
								<?php endif; ?>

								<?php if ($about['content']): ?>
								<?php echo $about['content']; ?>
								<?php endif; ?>

								<?php if ($about['list']): ?>
									<ul>
										<?php foreach ($about['list'] as $list): ?>
										<li><?php echo $list['item']; ?></li>
										<?php endforeach; ?>
									</ul>
								<?php endif; ?>
							<?php endforeach; ?>
							</div>
						</div>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /contact -->

	</div><!-- /primary -->

<?php get_footer();