<?php
/*
Template Name: Contact
*/
get_header(); ?>

	<div id="primary" class="content-area">

		<section class="page-content contact-us">
			<div class="container">
				<?php 
				$title = get_field('contact_title');
				$description = get_field('contact_description');
				?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title">
							<?php if ($title): ?>
							<h2 class="title text-uppercase"><?php echo $title; ?></h2>
							<?php else: ?>
							<h2 class="title text-uppercase"><?php the_title(); ?></h2>
							<?php endif; ?>

							<?php if ($description): ?>
							<?php echo $description; ?>
							<?php endif; ?>
						</div>
					</div>
				</div>

				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="content white">
							<div class="col-md-8 col-sm-7 col-xs-12">
								<div class="contact-form">
									<?php echo do_shortcode('[gravityform id="1" title="false" description="false" tabindex="10" ajax="true"]'); ?>
								</div>
							</div>

							<?php $contacts = get_field('contacts', 'options'); if ($contacts): ?>
							<div class="col-md-4 col-sm-5 col-xs-12">
								<div class="widget widget_address">
									<h3 class="widget-title text-uppercase"><?php _e('Location', 'ecom'); ?></h3>

									<ul class="list-unstyled">

										<?php if ($contacts['address'] || $contacts['google_map_url']): ?>
										<li class="address">
											<div class="icon pull-left">
												<i class="icon-location"></i>
											</div>

											<div class="content">
												<a href="<?php echo $contacts['google_map_url']; ?>" target="_blank"><?php echo $contacts['address']; ?></a>
											</div>
										</li>
										<?php endif; ?>

										<?php if ($contacts['phone']): ?>
										<li class="phone">
											<div class="icon pull-left">
												<i class="icon-phone"></i>
											</div>

											<div class="content">
												<a href="tel:<?php echo $contacts['phone']; ?>"><?php echo $contacts['phone']; ?></a>
											</div>
										</li>
										<?php endif; ?>

										<?php if ($contacts['email']): ?>
										<li class="email">
											<div class="icon pull-left">
												<i class="icon-email-mail-streamline"></i>
											</div>

											<div class="content">
												<a href="mailto:<?php echo $contacts['email']; ?>"><?php echo $contacts['email']; ?></a>
											</div>
										</li>
										<?php endif; ?>
									</ul>
								</div>
							</div><!-- /widget -->
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /contact -->

		<?php if (!get_field('hideshow_gmap')): ?>
		<div id="gmap"></div>
		<?php endif; ?>

	</div><!-- /primary -->

<?php get_footer();