<?php
/*
Template Name: Home
*/
get_header(); ?>

	<?php $banners = get_field('banner'); if ($banners): ?>
	<section class="banner">
		<?php foreach ($banners as $banner): $banner_bg = $banner['background'] ? $banner['background'] : get_template_directory_uri().'/images/banner-bg.jpg'; ?>
		<div class="slick-slide align-center-v coverbg" style="background-image: url(<?php echo $banner_bg; ?>);">
			<div class="container">
				<div class="row align-center-v">
					<?php if ($banner['sub_title'] || $banner['title'] || $banner['description'] || $banner['button']): ?>
					<div class="col-md-6 col-sm-6 col-xs-6 col">
						<div class="content">
							<?php if ($banner['sub_title']): ?>
							<span class="text-uppercase"><?php echo $banner['sub_title']; ?></span>
							<?php endif; ?>

							<?php if ($banner['title']): ?>
							<h1 class="hero"><?php echo $banner['title']; ?></h1>
							<?php endif; ?>

							<?php if ($banner['description']): ?>
							<h4><?php echo $banner['description']; ?></h4>
							<?php endif; ?>

							<?php if ($banner['button']): ?>
							<a href="<?php echo $banner['button']['url']; ?>" class="btn text-uppercase"><?php echo $banner['button']['text'] ?></a>
							<?php endif; ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($banner['image']): ?>
					<div class="col-md-6 col-sm-6 col-xs-6 col">
						<div class="media ">
							<img src="<?php echo $banner['image']['url']; ?>" class="alignright img-responsive" alt="<?php echo $banner['image']['alt']; ?>">
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
		<?php endforeach; ?>
	</section><!-- /banner -->
	<?php endif; ?>

	<div id="primary" class="content-area">

		<?php 
		$hideshow_cat = get_field('hideshow_categories'); 
		$categories = get_field('categories'); 
		if (!$hideshow_cat && $categories): ?>
		<section class="home-categories">
			<div class="container">
				<div class="row">
					<?php 
					foreach ($categories as $cat):
						if ($cat['select_link'] == 'internal-link') {
							$cat_link =  $cat['internal_link'];
						} elseif($cat['select_link'] == 'external-link') {
							$cat_link =  $cat['external_link'];
						}
					?>
					<div class="col-md-6 col-sm-6 col-xs-6 col">
						<a href="<?php echo $cat_link; ?>" class="cat">
							<?php if ($cat['image']): $cat_img = $cat['image'] ? $cat['image']['url'] : get_template_directory_uri().'/images/placeholder-cat.jpg'; ?>
							<img src="<?php echo $cat_img; ?>" class="img-responsive" alt="<?php echo $cat['image']['alt']; ?>">
							<?php endif; ?>
						</a>
					</div>
					<?php endforeach; ?>
				</div>
			</div>
		</section><!-- /categories -->
		<?php endif; ?>

		<?php if (!get_field('hideshow_recent_products')): ?>
		<section class="recent-products">
			<div class="container">
				<?php $recent_title = get_field('recent_products_title'); if ($recent_title): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title separator text-center">
							<h2 class="title"><?php echo $recent_title; ?></h2>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row">
				   	<div class="col-md-12 col-sm-12 col-xs-12">
				   		<?php echo do_shortcode('[recent_products per_page="4"]'); ?>
				  	</div>
				</div>
			</div>
		</section><!-- /recent-products -->
		<?php endif; ?>

		<?php 
		$hideshow_lk_banners = get_field('hideshow_linked_banners'); 
		$l_banners = get_field('linked_banners'); 
		if (!$hideshow_lk_banners && $l_banners): ?>
		<section class="home-featured">
			<div class="container">
				<div class="row masonry">
					<?php 
					foreach ($l_banners as $l_banner):

					if ($l_banner['select_link'] == 'internal-link') {
						$lb_link =  $l_banner['internal_link'];
					} elseif($l_banner['select_link'] == 'external-link') {
						$lb_link =  $l_banner['external_link'];
					}

					$l_banner_img = $l_banner['image'] ? $l_banner['image']['url'] : get_template_directory_uri().'/images/placeholder.jpg';
					?>
					<a href="<?php echo $lb_link; ?>" class="box-item col-md-<?php echo $l_banner['column']; ?> col-sm-<?php echo $l_banner['column']; ?> col-xs-12">

						<img src="<?php echo $l_banner_img; ?>" class="img-responsive" alt="<?php echo $l_banner['image']['alt']; ?>">

						<?php if ($l_banner['title'] || $l_banner['sub_title']): ?>
						<div class="content">
							<?php if ($l_banner['title']): ?>
							<h1 class="title"><?php echo $l_banner['title']; ?></h1>
							<?php endif ?>

							<?php if ($l_banner['sub_title']): ?>
							<p><?php echo $l_banner['sub_title']; ?></p>
							<?php endif ?>
						</div>
						<?php endif ?>
					</a>
					<?php endforeach; ?>
				</div>
			</div>
		</section><!-- /featured -->
		<?php endif; ?>

		<?php if (!get_field('hideshow_featured_products')): ?>
		<section class="featured-products">
			<div class="container">
				<?php $featured_title = get_field('featured_products_title'); if ($featured_title): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title separator text-center">
							<h2 class="title"><?php echo $featured_title; ?></h2>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row">
				   	<div class="col-md-12 col-sm-12 col-xs-12">
				   		<?php echo do_shortcode('[featured_products columns="4" per_page="8"]'); ?>
				  	</div>
				</div>
			</div>
		</section><!-- /featured-products -->
		<?php endif; ?>

		<?php 
		$hideshow_testimonial = get_field('hideshow_testimonial');
		$testimonial_bg = get_field('testimonial_bg');
		$testimonial_title = get_field('testimonial_title');
		$testimonials = get_field('testimonials');
		$testimonial_bg = $testimonial_bg ? $testimonial_bg : get_template_directory_uri().'/images/testimonial-bg.jpg';
		if (!$hideshow_testimonial && ($testimonial_bg || $testimonial_title || $testimonials)): ?>
		<section class="testimonials coverbg" style="background-image: url(<?php echo $testimonial_bg; ?>);">
			<div class="container">
				<?php if ($testimonial_title): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<h1 class="hero-title text-uppercase"><?php echo $testimonial_title; ?></h1>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($testimonials): ?>
				<div class="row">
					<div class="testimonial-slider">
						<?php foreach ($testimonials as $testimonial): ?>
						<div class="slick-slide col-md-12">
							<?php if ($testimonial['image']): ?>
							<div class="media pull-left">
								<img src="<?php echo $testimonial['image']['url']; ?>" class="img-responsive" alt="<?php echo $testimonial['image']['alt']; ?>">
							</div>
							<?php endif ?>
								
							<?php if ($testimonial['name'] || $testimonial['company'] || $testimonial['content']): ?>
							<div class="quote">
								<?php if ($testimonial['name'] || $testimonial['company']): ?>
								<h4 class="name"><?php echo $testimonial['name']; ?> / <span><?php echo $testimonial['company']; ?></span></h4>
								<?php endif; ?>

								<?php if ($testimonial['content']): ?>
								<?php echo $testimonial['content']; ?>
								<?php endif; ?>
							</div>
							<?php endif; ?>
						</div>
						<?php endforeach; ?>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /testimonials -->
		<?php endif; ?>

	</div><!-- /primary -->

<?php get_footer();